
Name: tuxpuck
Version: 0.8.1
Release: alt1

Group: Games/Arcade
Summary: Clone of ShufflePuck Cafe historical game
Url: http://www.efd.lth.se/~d00jkr/tuxpuck/
License: GPL

Source0: %name-%version.tar.gz
Patch0: tuxpuck-0.30-fix-includes.patch
Patch1: tuxpuck-0.7.116-fullscreen.patch

# Author: d00jkr@efd.lth.se

# Automatically added by buildreq on Tue Sep 17 2002
#BuildRequires: XFree86-libs aalib esound freetype2-devel libSDL-devel libSDL_net-devel libalsa2 libarts libaudiofile libjpeg-devel libogg-devel libpng-devel libslang libvorbis-devel zlib-devel

BuildRequires: XFree86-libs aalib esound freetype2-devel
BuildRequires: libSDL-devel libSDL_net-devel libalsa2 libarts
BuildRequires: libaudiofile libjpeg-devel libogg-devel
BuildRequires: libpng-devel libslang libvorbis-devel zlib-devel

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q
#%patch0 -p0
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make

%install
#%%make DESTDIR=%buildroot install
mkdir -p $RPM_BUILD_ROOT%_gamesbindir
install -m755 tuxpuck $RPM_BUILD_ROOT%_gamesbindir
mkdir -p $RPM_BUILD_ROOT%_man6dir
install -m755 man/* $RPM_BUILD_ROOT%_man6dir

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): needs=x11 section="Amusement/Arcade" title="Tuxpuck" \
  longtitle="Clone of ShufflePuck Cafe" command="soundwrapper %_gamesbindir/%name"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc *.txt
%doc %_man6dir/*
%_gamesbindir/*
%_menudir/*

%changelog
* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8.1-alt1
- new version

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.118-alt1
- new version

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.116-alt1
- new version
- build with gcc3.2

* Wed Jul 31 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt2
- rebuild against new vorbis

* Thu Feb 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt1
- new version

* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.7-alt1
- new version

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.4-alt1
- new version

* Wed Jan 09 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.1-alt1
- new version

* Tue Jan 08 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1
- new version

* Tue Jan 08 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.17-alt1
- new version

* Thu Jan 03 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.10-alt1
- new version

* Sat Dec 29 2001 Sergey V Turchin <zerg@altlinux.ru> 0.5.9-alt1
- build for ALT

* Thu Dec 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.30-1mdk
- first mdk package
